> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد نماذج الفيديو

> يرجع بيانات وصفية مدعومة بقاعدة البيانات عن قدرات نماذج/مزوّدي الفيديو لبيئة تجربة الفيديو والتحقق في SDK.

يتطلب الوصول إلى الميزات التجريبية في مساحة العمل. راجع [مهام الفيديو والمعالجة على دفعات](../../guides/async-video-and-batch.mdx) لمعرفة الإعداد والويب هوك والتعامل مع النتائج.


## OpenAPI

````yaml ar/openapi/v1/openapi.localized.yaml GET /videos/models
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    واجهة API للبوابة تتيح الوصول إلى نماذج ذكاء اصطناعي متنوعة عبر نقاط نهاية
    متوافقة مع OpenAI.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: التوجيه العالمي
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /videos/models:
    get:
      tags:
        - Gateway
      summary: عرض قدرات نماذج الفيديو
      description: >-
        يرجع بيانات وصفية مدعومة بقاعدة البيانات عن قدرات نماذج/مزوّدي الفيديو
        لبيئة تجربة الفيديو والتحقق في SDK.
      operationId: listVideoModels
      parameters:
        - name: params
          in: query
          required: false
          description: >-
            مرشح اختياري للمعلمات المدعومة. كرر المعلمة أو مرر قائمة مفصولة
            بفواصل. تُقبل الأسماء الأساسية والأسماء البديلة، مثل `resolution`
            أو`size` أو`duration` أو`duration_seconds`.
          schema:
            type: array
            items:
              type: string
          style: form
          explode: false
      responses:
        '200':
          description: قائمة قدرات نماذج الفيديو
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoModelsResponse'
components:
  schemas:
    VideoModelsResponse:
      type: object
      properties:
        object:
          type: string
          example: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/VideoModelCapability'
    VideoModelCapability:
      type: object
      properties:
        model:
          type: string
        name:
          type: string
        status:
          type: string
        input_types:
          type: array
          items:
            type: string
        output_types:
          type: array
          items:
            type: string
        supported_params:
          type: array
          items:
            type: string
        supported_parameters:
          type: array
          description: اسم بديل للتوافق مع supported_params.
          items:
            type: string
        supported_params_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
        supported_parameters_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
        providers:
          type: array
          items:
            $ref: '#/components/schemas/VideoModelProviderCapability'
        pricing:
          type: object
          additionalProperties: true
    SupportedParameterDetails:
      type: object
      description: قيود منظمة ودعم المزوّد لمعلمات الطلب، مرتبة حسب اسم المعلمة.
      additionalProperties:
        type: object
        additionalProperties: true
    VideoModelProviderCapability:
      type: object
      properties:
        id:
          type: string
        supported_params:
          type: array
          items:
            type: string
        supported_parameters:
          type: array
          description: اسم بديل للتوافق مع supported_params.
          items:
            type: string
        supported_params_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
        supported_parameters_detail:
          $ref: '#/components/schemas/SupportedParameterDetails'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: المصادقة باستخدام رمز Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.